summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author pyllyukko <pyllyukko@maimed.org>2014-05-27 23:19:09 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-05-28 23:45:44 +0700
commit471e62a3bab3e924db4abb19a5d9d20da8e54989 (patch)
treefc271d96760673ba8db4d8290e8d0e04eb46619c /system
parent898a169d5e22b57494639b98c87c9a80b33560db (diff)
downloadslackbuilds-471e62a3bab3e924db4abb19a5d9d20da8e54989.tar.gz
slackbuilds-471e62a3bab3e924db4abb19a5d9d20da8e54989.tar.xz
system/passwdqc: Added (password/passphrase strength checking).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/passwdqc/README12
-rw-r--r--system/passwdqc/doinst.sh14
-rw-r--r--system/passwdqc/passwdqc.SlackBuild76
-rw-r--r--system/passwdqc/passwdqc.info10
-rw-r--r--system/passwdqc/slack-desc19
5 files changed, 131 insertions, 0 deletions
diff --git a/system/passwdqc/README b/system/passwdqc/README
new file mode 100644
index 0000000000..b1f991eaae
--- /dev/null
+++ b/system/passwdqc/README
@@ -0,0 +1,12 @@
+passwdqc - password/passphrase strength checking and enforcement
+
+passwdqc is a password/passphrase strength checking and policy
+enforcement toolset, command-line programs (pwqcheck and pwqgen),
+and a library (libpasswdqc).
+
+pwqcheck and pwqgen are standalone password/passphrase strength
+checking and random passphrase generator programs, respectively,
+which are usable from scripts.
+
+libpasswdqc is the underlying library, which may also be used
+from third-party programs.
diff --git a/system/passwdqc/doinst.sh b/system/passwdqc/doinst.sh
new file mode 100644
index 0000000000..880fbffca1
--- /dev/null
+++ b/system/passwdqc/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/passwdqc.conf.new
diff --git a/system/passwdqc/passwdqc.SlackBuild b/system/passwdqc/passwdqc.SlackBuild
new file mode 100644
index 0000000000..99f22401ff
--- /dev/null
+++ b/system/passwdqc/passwdqc.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for passwdqc
+
+# Written by pyllyukko
+
+PRGNAM=passwdqc
+VERSION=${VERSION:-1.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Compile the application and install it into the $PKG directory
+make utils
+make install_lib DESTDIR=$PKG MANDIR=/usr/man SHARED_LIBDIR=/usr/lib${LIBDIRSUFFIX} SHARED_LIBDIR_SUN=/usr/lib${LIBDIRSUFFIX} DEVEL_LIBDIR=/usr/lib${LIBDIRSUFFIX}
+make install_utils DESTDIR=$PKG MANDIR=/usr/man SHARED_LIBDIR=/usr/lib${LIBDIRSUFFIX} SHARED_LIBDIR_SUN=/usr/lib${LIBDIRSUFFIX} DEVEL_LIBDIR=/usr/lib${LIBDIRSUFFIX}
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL INTERNALS LICENSE PLATFORMS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/etc/passwdqc.conf $PKG/etc/passwdqc.conf.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/passwdqc/passwdqc.info b/system/passwdqc/passwdqc.info
new file mode 100644
index 0000000000..c2d060d8a6
--- /dev/null
+++ b/system/passwdqc/passwdqc.info
@@ -0,0 +1,10 @@
+PRGNAM="passwdqc"
+VERSION="1.3.0"
+HOMEPAGE="http://www.openwall.com/passwdqc/"
+DOWNLOAD="http://www.openwall.com/passwdqc/passwdqc-1.3.0.tar.gz"
+MD5SUM="3225280caba817c7009dffc157efc1b9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="pyllyukko"
+EMAIL="pyllyukko AT maimed dot org"
diff --git a/system/passwdqc/slack-desc b/system/passwdqc/slack-desc
new file mode 100644
index 0000000000..55680848e2
--- /dev/null
+++ b/system/passwdqc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |----handy-ruler------------------------------------------------------|
+passwdqc: passwdqc (password/passphrase strength checking and enforcement)
+passwdqc:
+passwdqc: passwdqc is a password/passphrase strength checking and policy
+passwdqc: enforcement toolset, command-line programs (pwqcheck and pwqgen),
+passwdqc: and a library (libpasswdqc). pwqcheck and pwqgen are standalone
+passwdqc: password/passphrase strength checking and random passphrase
+passwdqc: generator programs, respectively, which are usable from scripts.
+passwdqc:
+passwdqc:
+passwdqc: Homepage: http://www.openwall.com/passwdqc/
+passwdqc: